//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "shellapi.h"
#include "ac97gui.h"
#include "ac97.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FormCreate(TObject *Sender)
{
    // get current record source
    RecListBox->ItemIndex = Ac97::GetRecordSource();

    // get current record gain
    GainBar->Position = (GainBar->Max - Ac97::GetRecordGain());
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::RecListBoxClick(TObject *Sender)
{
    // cast to listbox object
    TListBox * tLo = (TListBox *) Sender;

    // get index
    int iIndex = tLo->ItemIndex;

    // change record source
    Ac97::SetRecordSource( iIndex );
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::GainBarChange(TObject *Sender)
{
    // calc new gain
    int nGain = (GainBar->Max - GainBar->Position);

    // upload
    Ac97::SetRecordGain( nGain );

}
//---------------------------------------------------------------------------
void __fastcall TMainForm::ResetButtonClick(TObject *Sender)
{
    // reset mixer to defaults
    Ac97::Reset();

    // get current record source
    int x = Ac97::GetRecordSource();
    RecListBox->ItemIndex = x;

    // get current record gain
    GainBar->Position = (GainBar->Max - Ac97::GetRecordGain());
}
//---------------------------------------------------------------------------



void __fastcall TMainForm::Email_labelClick(TObject *Sender)
{
    // email
    ShellExecute( this->Parent, "open", "mailto:themusicmaster@hotmail.com",
                  NULL, NULL, SW_NORMAL );

}
//---------------------------------------------------------------------------

